Bug 64677 - Fix bugs in String.prototype this handling.
: Fix bugs in String.prototype this handling.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
:
Depends on: 64250
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-17 23:28 PDT by Gavin Barraclough
Modified: 2012-07-06 01:40 PDT (History)
3 users (show)

See Also:


Attachments
Preliminary patch (12.64 KB, patch)
2011-07-17 23:31 PDT, Gavin Barraclough
no flags Details | Formatted Diff | Diff
The patch (18.44 KB, patch)
2011-07-19 11:47 PDT, Gavin Barraclough
oliver: review+
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gavin Barraclough 2011-07-17 23:28:58 PDT
undefined/null this values should throw TypeErrors, not convert to the global object, and primitive values should not be converted via object types.
Comment 1 Gavin Barraclough 2011-07-17 23:31:18 PDT
Created attachment 101130 [details]
Preliminary patch
Comment 2 Gavin Barraclough 2011-07-19 11:47:48 PDT
Created attachment 101352 [details]
The patch
Comment 3 WebKit Review Bot 2011-07-19 12:12:23 PDT
Comment on attachment 101352 [details]
The patch

Attachment 101352 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9153271

New failing tests:
fast/js/array-prototype-properties.html
Comment 4 Gavin Barraclough 2011-07-19 12:16:47 PDT
Fixed in r91284